Bug 1718731 - Can't create csv elasticsearch-operator.v4.1.1 because of "spec.customresourcedefinitions.owned.specDescriptors.description in body is required"
Summary: Can't create csv elasticsearch-operator.v4.1.1 because of "spec.customresourc...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.z
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.1.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard: 4.1.2
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-10 06:12 UTC by Qiaoling Tang
Modified: 2019-06-26 08:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 08:50:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift elasticsearch-operator pull 154 'None' 'closed' 'Bug 1718731: elasticsearch operator fails to install due to missing specDescriptor' 2019-12-04 16:18:44 UTC
Red Hat Product Errata RHBA-2019:1589 None None None 2019-06-26 08:51:05 UTC

Comment 1 Qiaoling Tang 2019-06-10 08:39:55 UTC
The elasticsearch-operator couldn't be created if the elasticsearch-operator csv can't be created, the elasticsearch pods couldn't be created either, the whole logging stack can't work.

Workaround: 
1. add some words in the description part in https://github.com/openshift/elasticsearch-operator/blob/release-4.1/manifests/4.1/elasticsearch-operator.v4.1.0.clusterserviceversion.yaml#L220 and https://github.com/openshift/elasticsearch-operator/blob/release-4.1/manifests/4.1/elasticsearch-operator.v4.1.0.clusterserviceversion.yaml#L223
2. push it to a quay.io registry
3. create operator source to use this registry

Comment 7 errata-xmlrpc 2019-06-26 08:50:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1589


Note You need to log in before you can comment on or make changes to this bug.